.text-area {
  display: flex;
  max-width: 100%;
  position: relative;

  &__input {
    resize: none;
    border-radius: 5px;
    min-width: 100%;
    background-color: var(--background-default);
    border: 1px solid var(--background-default-transperant);
    border-bottom: 2px solid var(--primary-dark);
    padding: 11px;
    box-sizing: border-box;
    outline: none;
    transition: .3s all;
    
    &::placeholder {
      color: var(--font-color-primary);
    }

    &:focus {
      border-bottom: 2px solid var(--primary-default);
      box-shadow: 0 0 5px 1px var(--primary-default);
    }
  }

  &__input:focus ~ &__submit-icon {
    color: var(--primary-default);
  }

  &__emoji {
    position: absolute;    
    transition: .5s ease;
    right: 50px;
    bottom: 2px;

    &--right {
      right: 0;
    }

    * {
      transition: .5s ease;
    }
  }

  &__submit-icon {
    position: absolute;
    bottom: 2px;
    right: 20px;
    width: 30px;
    max-height: 100%;
    font-size: 2.3rem;
    height: 40px;
    box-sizing: border-box;
    cursor: pointer;

    &:hover {
      color: var(--primary-default);
    }
  }
}

@media only screen and (max-width: 414px) {
  .text-area {

    &__emoji {
      display: none;
    }
  }
}